#ifndef AUTOTEST_WIDGET_CONTAINER_ITEM_H
#define AUTOTEST_WIDGET_CONTAINER_ITEM_H

#include <QQuickItem>

#include "widget-container.h"

namespace UkuiQuick {

class WidgetQuickItem : public QQuickItem
{
    Q_OBJECT
public:
    explicit WidgetQuickItem(QQuickItem *parent = nullptr);

    static WidgetQuickItem *loadWidgetItem(Widget *widget, QQmlContext *context = nullptr);
};

class WidgetContainerItem : public WidgetQuickItem
{
    Q_OBJECT
public:
    explicit WidgetContainerItem(QQuickItem *parent = nullptr);
};

} // namespace UkuiQuick

#endif // AUTOTEST_WIDGET_CONTAINER_ITEM_H
